/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is Copyright (C) 1998 Andrew Hunter.
 * All Rights Reserved. 
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter.
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * window_int.h
 * ------------
 *
 * Window widget internal information
 */

#ifndef __impulse_rows_window_int_h
#define __impulse_rows_window_int_h

#include <impulse/rows/window.h>
#include <impulse/util/thread.h>


typedef struct {
  /*ROWS_drawable          drawable;*/

  ROWS_window_properties properties;
  
#if USE_THREADS
  /* Only used if enhanced thread support is switched on */
  impulse_bool enhanced;
  impulse_thread thread;
#endif

  void *int_data;
} _p_ROWS_window_data;

#endif
