dnl
dnl Miscellaneous functions
dnl

dnl *****************************************************************
dnl * Initialise MISC configuration information
dnl *****************************************************************


AC_DEFUN(IMPULSE_MISC_INIT,
[
])


dnl *****************************************************************
dnl * Check for MISC functionality
dnl *****************************************************************

AC_DEFUN(IMPULSE_MISC_CHECK,
[
  IMPULSE_MSG_SECTION([Checking miscellaneous functionality])
  
  AC_CYGWIN
])


dnl *****************************************************************
dnl * Finish up configuration
dnl *****************************************************************

AC_DEFUN(IMPULSE_MISC_FINISH,
[
  if test "$CYGWIN" = "yes" ; then
    if test "$THREAD_LIBRARY" = "WIN32" -o "$MODULE_LIBRARY" = "WIN32" ; then
      CFLAGS="-mwindows"
    elif test "$GUI_LIBRARY" = "WIN32" ; then
      GUI_CFLAGS="-mwindows"
    fi
  fi
])


dnl *****************************************************************
dnl * Check for a few programs which we need
dnl *****************************************************************

AC_DEFUN(IMPULSE_MISC_SUMMARY,
[
])


dnl End of file

